// creator  : weidu.exe (version 23100)
// argument : _IRONME.DLG
// game		 : .
// source	 : ./override/_IRONME.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_IRONME~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #79868 /* ~What is your business here?  If you're here about obtaining iron shipments for your company, then you'd be best to do so elsewhere.  We have no interest in dealing with other companies.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 1 // from:
  SAY #79869 /* ~Spare my life and I'll tell you anything you want.~ */
  IF ~~ THEN REPLY #79870 /* ~Tell us where we can find your leaders.~ */ GOTO 2
  IF ~~ THEN REPLY #79871 /* ~Ahhh, stop your whining and get out of here.~ */ DO ~EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #79872 /* ~You're dead, no begging is going to change that.~ */ DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #79873 /* ~They're all at Candlekeep, except Thaldorn who's in his room in the upper levels.  Please don't kill me.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #79874 /* ~Investigating the Iron Throne

One of the Iron Throne leaders is presently on the fourth floor of the Iron Throne citadel.~ */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #79875 /* ~Well friends, if you want to meet the leaders of the Iron Throne, you'll have to go to Candlekeep.  That's where Brunos and Rieltar went.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #79876 /* ~Investigating the Iron Throne

An Iron Throne merchant told us that Brunos and Rieltar, two of the leaders of the company, have traveled to Candlekeep.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #75411 /* ~You've made no friends here!  Move along!~ */
  IF ~~ THEN EXIT
END
